Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		liboggz
#Epoch:		0
Version:	1.1.1
Release:	1
License:	New BSD	
URL:		http://xiph.org/oggz/
Group:		System/Libraries
Summary:	liboggz is a C library for reading and writing Ogg files and streams
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: pkg-config

%description
liboggz is a C library for reading and writing Ogg files and streams. It offers various improvements over the reference libogg, including support for seeking, validation and timestamp interpretation. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/oggz
%{_bindir}/oggz-chop
%{_bindir}/oggz-codecs
%{_bindir}/oggz-comment
%{_bindir}/oggz-diff
%{_bindir}/oggz-dump
%{_bindir}/oggz-info
%{_bindir}/oggz-known-codecs
%{_bindir}/oggz-merge
%{_bindir}/oggz-rip
%{_bindir}/oggz-scan
%{_bindir}/oggz-sort
%{_bindir}/oggz-validate
%{_libdir}/liboggz.so.*
%{_mandir}/man1/oggz.1.gz
%{_mandir}/man1/oggz-chop.1.gz
%{_mandir}/man1/oggz-codecs.1.gz
%{_mandir}/man1/oggz-comment.1.gz
%{_mandir}/man1/oggz-diff.1.gz
%{_mandir}/man1/oggz-dump.1.gz
%{_mandir}/man1/oggz-info.1.gz
%{_mandir}/man1/oggz-known-codecs.1.gz
%{_mandir}/man1/oggz-merge.1.gz
%{_mandir}/man1/oggz-rip.1.gz
%{_mandir}/man1/oggz-scan.1.gz
%{_mandir}/man1/oggz-sort.1.gz
%{_mandir}/man1/oggz-validate.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/oggz
%{_libdir}/liboggz.a
%{_libdir}/liboggz.la
%{_libdir}/liboggz.so
%{_pkgconfig}/oggz.pc
%{_docdir}/liboggz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- initial CCux package release
